## Page building blocks for the new WordPress editor.

Atomic Blocks is a collection of content blocks for the new [Gutenberg](https://atomicblocks.com/beginners-guide-gutenberg/?utm_source=WP.org%20Description%20Gberg%20Link&utm_campaign=wporg_desc_gberg_link) block editor. Blocks are chunks of content such as paragraphs, images, galleries, columns, and more. Building with blocks gives you more control to quickly create and launch any kind of site you want!

Adding the customizable Atomic Block plugin adds a collection of beautiful, site-building blocks to help you customize page layouts, increase engagement, and get results for your business.

Along with the content blocks you'll find in Atomic Blocks, we're also publishing helpful articles and tutorials to help you get started with Gutenberg.

## Atomic Blocks currently includes the following blocks:

* Advanced Columns Block  – [Block Demo (NEW!)](https://atomicblocks.com/blocks/advanced-columns-block/)
* Newsletter Block  – [Block Demo (NEW!)](https://atomicblocks.com/blocks/newsletter-block/)
* Pricing Table Block - [Block Demo](https://atomicblocks.com/blocks/pricing-table-block/)
* Post Grid Block - [Block Demo](https://atomicblocks.com/blocks/post-grid-block/)
* Container Block - [Block Demo](https://atomicblocks.com/blocks/container-block/)
* Testimonial Block - [Block Demo](https://atomicblocks.com/blocks/testimonial-block/)
* Inline Notice Block - [Block Demo](https://atomicblocks.com/blocks/inline-notice-block/)
* Accordion Block - [Block Demo](https://atomicblocks.com/blocks/accordion-block/)
* Share Icons Block - [Block Demo](https://atomicblocks.com/blocks/sharing-icons-block/)
* Call-To-Action Block - [Block Demo](https://atomicblocks.com/blocks/call-to-action-block/)
* Customizable Button Block - [Block Demo](https://atomicblocks.com/blocks/customizable-button-block/)
* Spacer & Divider Block - [Block Demo](https://atomicblocks.com/blocks/spacer-and-divider-block/)
* Author Profile Block - [Block Demo](https://atomicblocks.com/blocks/author-profile-block/)
* Drop Cap Block - [Block Demo](https://atomicblocks.com/blocks/drop-cap-block/)

## Atomic Blocks WordPress Theme

We've created a beautiful little WordPress theme to help you get started with the Atomic Blocks plugin and the new WordPress block editor. The theme integrates seamlessly with the blocks you'll find in the plugin!

* [Atomic Blocks Theme Demo](https://preview.arraythemes.com/atomicblocks/?utm_source=WP.org%20AB%20Theme%20Demo%20Link&utm_campaign=wporg_ab_theme_demo_link)
* [Download the Atomic Blocks Theme](https://atomicblocks.com/?utm_source=WP.org%20AB%20Page&utm_campaign=wporg_ab_page)
* [View the theme help file](https://atomicblocks.com/theme-help-file/?utm_source=WP.org%20AB%20Theme%20Help%20File%20Link&utm_campaign=wporg_ab_theme_help_link)

In addition to the Atomic Block Theme, we’ve built Revolution Pro with the StudioPress team. This theme is built from the ground up with blocks -- Gutenberg core and Atomic. Using this Theme and the Genesis One-Click Demo Install you can have a new block-based site up and running in minutes.

* [Revolution Pro Theme Demo](https://demo.studiopress.com/revolution/)
* [Purchase the Revolution Theme](https://my.studiopress.com/themes/revolution/)

## Atomic Blocks Help File

We've created a handy help file that you can [check out here](https://atomicblocks.com/plugin-help-file/?utm_source=WP.org%20AB%20Help%20File&utm_campaign=wporg_ab_help_file). The help file covers how to setup the plugin and get started with the blocks.

The help file is also available in the plugin once activated. Click the Atomic Blocks admin menu item to visit the Getting Started page.

[View the plugin help file](https://atomicblocks.com/plugin-help-file/?utm_source=WP.org%20AB%20Help%20File&utm_campaign=wporg_ab_help_file)

## Follow Along:

* [Visit the Atomic Blocks site](https://atomicblocks.com/?utm_source=WP.org%20AB%20Page&utm_campaign=wporg_ab_page)
* [Subscribe to the newsletter](https://atomicblocks.com/subscribe?utm_source=WP.org%20AB%20Subscribe&utm_campaign=wporg_ab_subscribe)
* [Follow on Twitter](https://twitter.com/atomicblocks)
* [Create-Guten-Block](https://github.com/ahmadawais/create-guten-block)

## Installation

This plugin can be installed directly from your site.

1. Log in and navigate to _Plugins &rarr; Add New_.
2. Type "Atomic Blocks" into the Search and hit Enter.
3. Locate the Atomic Blocks plugin in the list of search results and click **Install Now**.
4. Once installed, click the Activate link.
5. You will be redirected to the Atomic Blocks Getting Started page.

It can also be installed manually.

1. Download the Atomic Blocks plugin from WordPress.org.
2. Unzip the package and move to your plugins directory.
3. Log into WordPress and navigate to the Plugins screen.
4. Locate Atomic Blocks in the list and click the *Activate* link.
5. You will be redirected to the Atomic Blocks Getting Started page.

## Frequently Asked Questions

**Can Atomic Blocks be used with any theme?**

Yes, you can use Atomic Blocks with any theme, but we recommend using our [Atomic Blocks](https://atomicblocks.com) theme or one of the Gutenberg-ready StudioPress themes such as [Revolution](https://my.studiopress.com/themes/revolution/) for the best presentation. Both of these themes have beautiful styles built in specifically for Atomic Blocks.

[Get the Atomic Blocks theme](https://atomicblocks.com/?utm_source=WP.org%20AB%20Theme%20Link&utm_campaign=wporg_ab_theme_link)

**Do I need the new block editor to use Atomic Blocks?**

Yes, you will need to have WordPress 5.0 or later installed to take advantage of Atomic Blocks.

## Changelog

**1.7.1**
* Post Grid: Improve IE11 support on the grid.

**1.7.0**
* Add the Advanced Columns block.
* Newsletter: Change button to input and adjust styles.

**1.6.1**
* Newsletter: Add instance ID to input field.
* Newsletter: Change input type to email.
* Newsletter: Change how nonce is handled and remove id attribute.
* Author Profile: Add a description below the Email URL field.
* Post Grid: Fix excerpt length.
* Accordion: Fix link styles.
* Fix redirect bug on multisite installs.

**1.6.0**
* Add the Newsletter block.

**1.5.5**
* Add several features to Post/Page Grid block.

**1.5.4**
* Fix bug with author profile links.
* Improve mobile styles.
* Remove unused CPTs.
* Remove plugin-defined color palettes in favor of theme palettes.
* Fix color setting bug in spacer block.

**1.5.3**
* Fix bug with undefined dim ratio in CTA.

**1.5.2**
* Fix bug with undefined dim ratio.

**1.5.1**
* Fix bug with lodash scoping.
* Fix bug with URL input on pricing table.

**1.5.0**
* Add Pricing Table block.
* Fix container background clearing bug.

**1.4.23**
* Add block alignment class back to CTA block.
* Refactor deprecated code format.

**1.4.22**
* Add title toggle to Post Grid block.
* Update CTA block to account for Gutenberg changes.
* Add LinkedIn icon to Author Profile block.
* Add noreferrer to Button block.

**1.4.21**
* Remove notice to install Gutenberg.

**1.4.2**
* Fix category error in Post Grid block.
* Change asset loading for WordPress 5.0.

**1.4.1**
* Fix FontAwesome loading issue.

**1.4.0**
* Add block dependencies to wp_enqueue_script

**1.3.9**
* Fix behavior of attribute output
* Restrict media upload to images
* Update French translation strings

**1.3.8**
* Improved Getting Started page.
* Update translation strings.

**1.3.7**
* Update translation strings.
* Limit asset loading to GS page.
* Add conditional check to post grid.
* Add french translations.

**1.3.6**
* Update PanelColor component to PanelColorSettings.

**1.3.5**
* Fix button focus bug in Call To Action block.
* Fix button focus bug in Button block.
* Fix text focus bug in Author Profile block.

**1.3.4**
* Convert Accordion Block text area to InnerBlocks to allow for adding any block.

**1.3.3**
* Update FontAwesome to 5.2.0.
* Move dynamic block PHP to src folder.
* Add option to customize Read More link text in Post Grid block.

**1.3.2**
* Fix category drop down on Post Grid block.
* Fix path to fontawesome on Getting Started page.

**1.3.1**
* Fix bug in Post Grid block that prevented it from displaying in the editor.
* Fix window.userSettings is undefined error.
* Fix bug in dismissable notice.

**1.3.0**
* Fix padding increments on Container block.
* Improve color display on Call To Action block text.

**1.2.9**
* Convert saved RichText to RichText.Content.
* Prepare blocks for toolbar formatting.

**1.2.8**
* Fix focus bug on Testimonial block title.

**1.2.7**
* Fix the URLInput on the Button block.

**1.2.6**
* Remove unnecessary state from blocks.
* Improve call to decodeEntities.
* Update URLInput.

**1.2.5**
* Fix links in readme.txt.
* Fix update notice CSS bug.

**1.2.4**
* Add max width setting to Container block.

**1.2.3**
* Add Container Block.
* Fix toolbar focus bug on Accordion Block.

**1.2.2**
* Add blocks to a custom Atomic Blocks category in the block inserter.
* Clean up markup and remove unnecessary code.
* Add inline toolbar to text area on relevant blocks.

**1.2.1**
* Update blocks to work with Gutenberg 3.1.0.

**1.2.0**
* Fix fatal error in last update.

**1.1.9**
* Add Post Grid Block.
* Add improvements for Gutenberg 3.0.
* Clean up existing blocks.

**1.1.8**
* Improve margins for blocks in editor.
* Fix quirks in the drop cap block.

**1.1.7**
* Remove unnecessary isSelected from controls.
* Fix undefined post bug.
* Move components to wp.editor.
* Improve styles for URL input on button block.

**1.1.6**
* Rename array_social_icon_footer_script() to atomic_blocks_social_icon_footer_script().

**1.1.5**
* Improved the color palettes for changes that happened in Gutenberg 2.8.

**1.1.4**
* Add the sharing icons block.

**1.1.3**
* Replace props.focus with isSelected for Gutenberg 2.8.0.

**1.1.2**
* Refactor the CTA block.
* Refactor the Author Profile block.

**1.1.1**
* Improve Author Profile block to fix text focus and spacing.

**1.1.0**
* Add Call-To-Action Block.
* Improve wide and full-width styles.

**1.0.9**
* Define PanelBody to fix Drop Cap block error.

**1.0.8**
* Add FontAwesome font library back to Getting Started page.
* Add prefixes to Getting Started page styles to prevent conflicts.

**1.0.7**
* Improve Quick Start box on the Getting Started page.
* Fix issue with FontAwesome not loading on Getting Started page.

**1.0.6**
* Add PanelBody to inspector controls.
* Group social links together in Profile block.

**1.0.5**
* Fix the Button block to remove formatting issue.

**1.0.4**
* Fix the Accordion block bug where outputs don't match.

**1.0.3**
* Add the Accordion block.

**1.0.2**
* Add the Spacer & Divider block.

**1.0.1**
* Add the Customizable Button block.

**1.0**
* Initial release.
